# Type alias OptionalContentConfig

OptionalContentConfig: { creator: null | string; getGroup: any; getGroups: any; getOrder: any; isVisible: any; name: null | string; setVisibility: any; viewScale: number }

Optional content config.

#### Type declaration

- ##### creator: null | string

- ##### getGroup:function

  - getGroup(id: string): OptionalContentGroup

  - Get group using id.

    #### Parameters

    - ##### id: string

    #### Returns OptionalContentGroup

- ##### getGroups:function

  - getGroups(): { [id: string]: OptionalContentGroup }

  - Get all groups.

    #### Returns { [id: string]: OptionalContentGroup }

    - ##### [id: string]: OptionalContentGroup

- ##### getOrder:function

  - getOrder(): { name: string | null; order: string[] }[]

  - Get groups order.

    #### Returns { name: string | null; order: string[] }[]

- ##### isVisible:function

  - isVisible(groupOrId: string | OptionalContentGroup): any

  - Check group visibility.

    #### Parameters

    - ##### groupOrId: string | OptionalContentGroup

    #### Returns any

- ##### name: null | string

- ##### setVisibility:function

  - setVisibility(id: string, visible: boolean): any

  - Set group visibility.

    #### Parameters

    - ##### id: string

    - ##### visible: boolean

    #### Returns any

- ##### viewScale: number